math(1)

NAME
math - math - Perform mathematics calculations

math - Perform mathematics calculations

  Synopsis
math EXPRESSION

  Description
math is used to perform mathematical calculations. It is a very thin wrapper for the bc program, which makes it possible to specify an expression from the command line without using non-standard extensions or a pipeline.

For a description of the syntax supported by math, see the manual for the bc program. Keep in mind that parameter expansion takes place on any expressions before they are evaluated. This can be very useful in order to perform calculations involving environment variables or the output of command substitutions, but it also means that parenthesis have to be escaped.

  Examples
math 1+1 outputs 2.

math $status-128 outputs the numerical exit status of the last command minus 128.